### Function

# Atspi dbus_server_setup_with_g_main

#### Declaration [src]

    void
    atspi_dbus_server_setup_with_g_main (
      DBusServer* server,
      GMainContext* context
    )

#### Description [src]

Sets the watch and timeout functions of a `DBusServer` to integrate the server with the GLib main loop. In most cases the context argument should be `NULL`.

If called twice for the same context, does nothing the second time. If called once with context A and once with context B, context B replaces context A as the context monitoring the connection.

This function is not directly available to language bindings.

#### Parameters

`server`

  Type: `DBusServer*`

  The server.

  The data is owned by the caller of the function.

`context`

  Type: `GMainContext`

  The `GMainContext` or `NULL` for default.

  The data is owned by the caller of the function.